# @encoding: utf-8
# Copyright (C) 2013-2020) Sascha Manns <Sascha.Manns@outlook.de>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Dependencies
require 'fileutils'

# Main module for hoe-rubocop
module Hoe::Rubocop
  VERSION = '1.0.13!'

  attr_accessor :rubocop

  # Initialize plugin
  def initialize_rubocop
    require 'rubocop/rake_task'
  end

  # Define the Rubocop Rake task
  def define_rubocop_tasks
    FileUtils.rm_rf('pkg') if File.exist?('pkg')
    RuboCop::RakeTask.new(:rubocop)
  end
end
